MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024669Open CASCADE[OCCT] OCCT:Foundation Classespublic2014-02-27 13:042014-11-11 12:51
Reporterdbp 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024669: BVH binned builder fails to separate objects with the same center
DescriptionBVH binned builder fails to separate objects with the same center. This is the issue for volume clipping techniques and LODs management.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028303)
dbp (developer)
2014-03-17 15:55

Dear kgv,

the issue is fixed (CR24669). Please, review.
(0028310)
kgv (developer)
2014-03-17 16:45

Please test the patch.
(0028368)
mkv (tester)
2014-03-19 17:36

Dear BugMaster,

Branch CR24669 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 2d7c655f93978be90d31eba3ffbd0498ed379f3c

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 386320244 / 386276008
Total CPU difference: 60167.95999999997 / 48827.5

Testing on Windows:
Total MEMORY difference: 431068024 / 430913404
Total CPU difference: 33548.25 / 35761.53125

There are no differences in images found by testdiff.

- Related Changesets
occt: master 228de226
Timestamp: 2014-03-17 11:54:15
Author: dbp
Committer: bugmaster
Details ] Diff ]
0024669: BVH binned builder fails to separate objects with the same center
mod - src/BVH/BVH_BinnedBuilder.hxx Diff ] File ]
mod - src/BVH/BVH_BinnedBuilder.lxx Diff ] File ]
mod - src/BVH/BVH_SweepPlaneBuilder.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-27 13:04 dbp New Issue
2014-02-27 13:04 dbp Assigned To => dbp
2014-03-17 15:55 dbp Note Added: 0028303
2014-03-17 15:55 dbp Assigned To dbp => kgv
2014-03-17 15:55 dbp Status new => resolved
2014-03-17 16:45 kgv Note Added: 0028310
2014-03-17 16:45 kgv Assigned To kgv => bugmaster
2014-03-17 16:45 kgv Status resolved => reviewed
2014-03-17 16:45 kgv Product Version Unscheduled =>
2014-03-17 16:45 kgv Target Version Unscheduled => 6.7.1
2014-03-18 21:19 mkv Assigned To bugmaster => mkv
2014-03-19 17:36 mkv Note Added: 0028368
2014-03-19 17:37 mkv Test case number => Not needed
2014-03-19 17:37 mkv Assigned To mkv => bugmaster
2014-03-19 17:37 mkv Status reviewed => tested
2014-03-21 16:18 bugmaster Changeset attached => occt master 228de226
2014-03-21 16:18 bugmaster Status tested => verified
2014-03-21 16:18 bugmaster Resolution open => fixed
2014-04-04 11:54 abv Target Version 6.7.1 => 6.8.0
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker